Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlMainWidgetPlugin Class Reference

`#include <GlMainWidgetPlugin.h>`

List of all members.

## Public Member Functions

- GlMainWidgetPlugin (QObject *parent=NULL)
- bool isContainer () const
- bool isInitialized () const
- QIcon icon () const
- QString codeTemplate () const
- QString domXml () const
- QString group () const
- QString includeFile () const
- QString name () const
- QString toolTip () const
- QString whatsThis () const
- QWidget * createWidget (QWidget *parent)
- void initialize (QDesignerFormEditorInterface *core)

## Constructor & Destructor Documentation

tlp::GlMainWidgetPlugin::GlMainWidgetPlugin | ( | QObject * | parent = `NULL` | ) |

## Member Function Documentation

QString tlp::GlMainWidgetPlugin::codeTemplate | ( |  | ) | const

QWidget* tlp::GlMainWidgetPlugin::createWidget | ( | QWidget * | parent | ) |

QString tlp::GlMainWidgetPlugin::domXml | ( |  | ) | const

QString tlp::GlMainWidgetPlugin::group | ( |  | ) | const

QIcon tlp::GlMainWidgetPlugin::icon | ( |  | ) | const

QString tlp::GlMainWidgetPlugin::includeFile | ( |  | ) | const

void tlp::GlMainWidgetPlugin::initialize | ( | QDesignerFormEditorInterface * | core | ) |

bool tlp::GlMainWidgetPlugin::isContainer | ( |  | ) | const

bool tlp::GlMainWidgetPlugin::isInitialized | ( |  | ) | const

QString tlp::GlMainWidgetPlugin::name | ( |  | ) | const

QString tlp::GlMainWidgetPlugin::toolTip | ( |  | ) | const

QString tlp::GlMainWidgetPlugin::whatsThis | ( |  | ) | const

Tulip Software by LaBRI Visualization Team 2001 - 2012